Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jm.extension
Class AwtToolTip

    java.lang.Object
      |
      +--java.awt.event.MouseMotionAdapter
            |
            +--jm.extension.AwtToolTip

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.MouseMotionListener

public class AwtToolTip
extends java.awt.event.MouseMotionAdapter

Diese Klasse ermoeglicht die Darstellung von Tooltips auf dem ImageCanvas von ImageJ. Sie wird von der abgeleiteten Klasse ExImageCanvas benutzt.

See Also:
  `ExImageCanvas`, `AwtToolTipHelper`, `TimerThread`

Constructor Summary
`AwtToolTip()`

Method Summary
`protected void` | `finalize()` Fragt ab, ob z.Zt ein ToolTip angezeigt werden soll.
`void` | `mouseMoved(java.awt.event.MouseEvent e)` Faengt Bewegungen der Maus ab, um die Timer zu steuern.
`void` | `setDismissDelay(int ms)` Setzt die Verzoegerung in Millisekunden, nach der ein ToolTip ausgeblendet werden soll.
`void` | `setInitialDelay(int ms)` Setzt die Verzoegerung in Millisekunden, nach der ein ToolTip eingeblendet werden soll, wenn die Maus nicht bewegt wird.
`void` | `setSourceClass(ExImageCanvas ic)` Setzt die Refernz auf den ExImageCanvas, auf dem die ToolTips angzeigt werden sollen.
`boolean` | `showToolTip()` Fragt ab, ob z.Zt ein ToolTip angezeigt werden soll.

Methods inherited from class java.awt.event.MouseMotionAdapter
`mouseDragged`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AwtToolTip

    public AwtToolTip()

Method Detail

### setInitialDelay

    public void setInitialDelay(int ms)

  Setzt die Verzoegerung in Millisekunden, nach der ein ToolTip eingeblendet werden soll, wenn die Maus nicht bewegt wird.

  Parameters:
    `ms` - Zeit in Millisekunden

### setDismissDelay

    public void setDismissDelay(int ms)

  Setzt die Verzoegerung in Millisekunden, nach der ein ToolTip ausgeblendet werden soll.

  Parameters:
    `ms` - Zeit in Millisekunden

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Faengt Bewegungen der Maus ab, um die Timer zu steuern.

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`
  Overrides:
    `mouseMoved` in class `java.awt.event.MouseMotionAdapter`
  Parameters:
    `e` - MouseEvent, durch Mausbewegungen erzeugt

### setSourceClass

    public void setSourceClass(ExImageCanvas ic)

  Setzt die Refernz auf den ExImageCanvas, auf dem die ToolTips angzeigt werden sollen.

  Parameters:
    `ic` - Refernz auf den ImageCanvas

### showToolTip

    public boolean showToolTip()

  Fragt ab, ob z.Zt ein ToolTip angezeigt werden soll.

  Returns:
    boolean true, wenn alle Timer-Bedingungen erfuellt sind.

### finalize

    protected void finalize()
                     throws java.lang.Exception

  Fragt ab, ob z.Zt ein ToolTip angezeigt werden soll.

  Overrides:
    `finalize` in class `java.lang.Object`
  Returns:
    boolean true, wenn alle Timer-Bedingungen erfuellt sind.
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD